package istia.st.servlets.personne;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@SuppressWarnings("serial")
public class ServletFormulaire extends HttpServlet {

	// paramtres d'instance
	private String defaultNom = null;
	private String defaultAge = null;

	// init
	public void init() {
		// on rcupre les paramtres d'initialisation de la servlet
		ServletConfig config = getServletConfig();
		defaultNom = config.getInitParameter("defaultNom");
		if (defaultNom == null)
			defaultNom = "NNNNNNNNNNNNNNN";
		defaultAge = config.getInitParameter("defaultAge");
		if (defaultAge == null)
			defaultAge = "AAA";
	}

	// GET
	public void doGet(HttpServletRequest request, HttpServletResponse response)
			throws IOException, ServletException {

		// on rcupre les paramtres du formulaire
		String nom = request.getParameter("txtNom");
		if (nom == null) {
			nom = "--"+defaultNom+"--";
		}
		String age = request.getParameter("txtAge");
		if (age == null) {
			age = defaultAge;
		}
		// on affiche le formulaire
		response.setContentType("text/html");
		PrintWriter out = response.getWriter();
	    out.println(
                "<html>"+
                  "<head>"+
                    "<title>Personne - formulaire</title>"+
                  "</head>"+
                  "<body>"+
                    "<center>"+
                      "<h2>Personne - formulaire</h2>"+
                      "<hr>"+
                      "<form action='' method='post'>"+
                        "<table>"+
                          "<tr>"+
                            "<td>Nom</td>"+
                            "<td><input name='txtNom' value='"+nom+"' type='text' size='20'></td>"+
                          "</tr>"+
                          "<tr>"+
                            "<td>Age</td>"+
                            "<td><input name='txtAge' value='"+ age +"' type='text' size='3'></td>"+
                          "</tr>"+
                        "</table>"+
                        "<table>"+
                          "<tr>"+
                            "<td><input type='submit' value='Envoyer'></td>"+
                            "<td><input type='reset' value='Rtablir'></td>"+
                            "<td><input type='button' value='Effacer'></td>"+
                          "</tr>"+
                        "</table>"+
                      "</form>"+
                    "</center>"+
                  "</body>"+
                "</html>"
      );
	}

	// POST
	public void doPost(HttpServletRequest request, HttpServletResponse response)
			throws IOException, ServletException {
		// on passe la main au GET
		doGet(request, response);
	}
}
