package istia.st.springioc02;

public class Voiture {
	// caractristiques
	private String marque;

	private String type;

	private Personne propritaire;

	// constructeurs
	public Voiture() {
	}

	public Voiture(String marque, String type, Personne propritaire) {
		setMarque(marque);
		setType(type);
		setPropritaire(propritaire);
	}

	// toString
	public String toString() {
		return "Voiture : marque=[" + this.marque + "] type=[" + this.type
				+ "] propritaire=[" + this.propritaire + "]";
	}

	// getters-setters
	public String getMarque() {
		return marque;
	}

	public void setMarque(String marque) {
		this.marque = marque;
	}

	public Personne getPropritaire() {
		return propritaire;
	}

	public void setPropritaire(Personne propritaire) {
		this.propritaire = propritaire;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	// init-close
	public void init() {
		System.out.println("init voiture [" + this.toString() + "]");
	}

	public void close() {
		System.out.println("destroy voiture [" + this.toString() + "]");
	}
}
