package istia.st.springioc03;

import java.util.Map;

public class GroupePersonnes {

	// caractristiques
	private Personne[] membres;

	private Map groupesDeTravail;

	// getters - setters
	public Personne[] getMembres() {
		return membres;
	}

	public void setMembres(Personne[] membres) {
		this.membres = membres;
	}

	public Map getGroupesDeTravail() {
		return groupesDeTravail;
	}

	public void setGroupesDeTravail(Map groupesDeTravail) {
		this.groupesDeTravail = groupesDeTravail;
	}

	// affichage
	public String toString() {
		String liste = "membres : ";
		for (int i = 0; i < this.membres.length; i++) {
			liste += "[" + this.membres[i].toString() + "]";
		}
		return liste + ", groupes de travail = "
				+ this.groupesDeTravail.toString();
	}

	// init-close
	public void init() {
		System.out.println("init GroupePersonnes [" + this.toString() + "]");
	}

	public void close() {
		System.out.println("destroy GroupePersonnes [" + this.toString() + "]");
	}
}
