package istia.st.mvc.personnes.service;

import istia.st.mvc.personnes.entites.Personne;

import java.util.Collection;

public interface IService {
	// liste de toutes les personnes
	Collection getAll();

	// obtenir une personne particulire
	Personne getOne(int id);

	// ajouter/modifier une personne
	void saveOne(Personne personne);

	// supprimer une personne
	void deleteOne(int id);

	// ajouter plusieurs personnes
	void saveMany(Personne[] personnes);

	// supprimer plusieurs personnes
	void deleteMany(int ids[]);
}
