package istia.st.servlets.personne;

import java.io.IOException;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@SuppressWarnings("serial")
public class ServletFormulaire2 extends HttpServlet {

	// paramtres d'instance
	private String defaultNom = null;

	private String defaultAge = null;

	// init
	public void init() {
		// on rcupre les paramtres d'initialisation de la servlet
		ServletConfig config = getServletConfig();
		defaultNom = config.getInitParameter("defaultNom");
		if (defaultNom == null)
			defaultNom = "NNNNNNNNNNNNNNN";
		defaultAge = config.getInitParameter("defaultAge");
		if (defaultAge == null)
			defaultAge = "AAA";
	}

	// GET
	public void doGet(HttpServletRequest request, HttpServletResponse response)
			throws IOException, ServletException {

		// on rcupre les paramtres du formulaire
		String nom = request.getParameter("txtNom");
		if (nom == null) {
			nom = defaultNom;
		}
		String age = request.getParameter("txtAge");
		if (age == null) {
			age = defaultAge;
		}
		// on affiche le formulaire
		request.setAttribute("nom", nom);
		request.setAttribute("age", age);
		getServletContext().getRequestDispatcher("/formulaire2.jsp").forward(
				request, response);
	}

	// POST
	public void doPost(HttpServletRequest request, HttpServletResponse response)
			throws IOException, ServletException {
		// on passe la main au GET
		doGet(request, response);
	}
}
